#!/bin/sh

chmod +x new_tab.sh

SERVER_IP=$1
AGENT_PORT=3110
TEAM_NAME="ITAndroids"
LIBS_DIR="../libs"

export LD_LIBRARY_PATH=$LIBS_DIR:$LD_LIBRARY_PATH

./new_tab.sh "pushd binaries && gdb -ex run --args itandroids3d --server-ip $SERVER_IP --agent-port $AGENT_PORT --team-name $TEAM_NAME --agent-number 1 && popd"

for AGENT_NUM in $(seq 2 11);
do
	./new_tab.sh "gdb -ex run --args itandroids3d --server-ip $SERVER_IP --agent-port $AGENT_PORT --team-name $TEAM_NAME --agent-number $AGENT_NUM && popd"

	sleep 3;
done
